Customers Also Bought
2 min
If you haven't gone through the prerequisites and the v2 structure, please have a look at Overview
Klevu can power a recommendation banner showcasing any products which other customers also purchased, in addition to the current product. The most common placements for this banner type are:
Cart: Customers Also Bought Show a recommendation banner with products other customers also purchased from the store.
Product Page: Customers Also Bought Show a recommendation banner with products other customer bought together with the product currently being viewed.
Customers Also Bought Product Recommendations
The end-point is used for retrieving customers also bought product recommendations.
POST
https://eucs19v2.ksearchnet.com/cs/v2/search
Body Parameters
- typeOfRequestStringrequiredDescription
- recentObjectsStringrequiredDescription
Request Body (JSON)
{
"recordQueries": [
{
"id": "recsAlsoBought",
"typeOfRequest": "RECS_ALSO_BOUGHT",
"settings": {
"context": {
"recentObjects": [
{
"typeOfRecord": "KLEVU_PRODUCT",
"records": [
{
"id": 34322443665539
},
{
"id": 34322633916547
}
]
}
]
},
"typeOfRecords": [
"KLEVU_PRODUCT"
]
}
}
],
"context": {
"apiKeys": [
"klevu-158755634955912036"
]
}
}php
<?php
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://eucs19v2.ksearchnet.com/cs/v2/search',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => '',
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 0,
CURLOPT_FOLLOWLOCATION => true,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => 'POST',
CURLOPT_POSTFIELDS =>'{
"recordQueries": [
{
"id": "recsAlsoBought",
"typeOfRequest": "RECS_ALSO_BOUGHT",
"settings": {
"context": {
"recentObjects": [
{
"typeOfRecord": "KLEVU_PRODUCT",
"records": [
{
"id": 34322443665539
},
{
"id": 34322633916547
}
]
}
]
},
"typeOfRecords": [
"KLEVU_PRODUCT"
]
}
}
],
"context": {
"apiKeys": [
"klevu-158755634955912036"
]
}
}',
CURLOPT_HTTPHEADER => array(
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
echo $response;
javascript
var data = JSON.stringify({"recordQueries":[{"id":"recsAlsoBought","typeOfRequest":"RECS_ALSO_BOUGHT","settings":{"context":{"recentObjects":[{"typeOfRecord":"KLEVU_PRODUCT","records":[{"id":34322443665539},{"id":34322633916547}]}]},"typeOfRecords":["KLEVU_PRODUCT"]}}],"context":{"apiKeys":["klevu-158755634955912036"]}});
var xhr = new XMLHttpRequest();
xhr.withCredentials = false;
xhr.addEventListener("readystatechange", function() {
if(this.readyState === 4) {
console.log(this.responseText);
}
});
xhr.open("POST", "https://eucs19v2.ksearchnet.com/cs/v2/search");
xhr.setRequestHeader("Content-Type", "application/json");
xhr.send(data);java
OkHttpClient client = new OkHttpClient().newBuilder()
.build();
MediaType mediaType = MediaType.parse("application/json");
RequestBody body = RequestBody.create(mediaType, "{\n \"recordQueries\": [\n {\n \"id\": \"recsAlsoBought\",\n \"typeOfRequest\": \"RECS_ALSO_BOUGHT\",\n \"settings\": {\n \"context\": {\n \"recentObjects\": [\n {\n \"typeOfRecord\": \"KLEVU_PRODUCT\",\n \"records\": [\n {\n \"id\": 34322443665539\n },\n {\n \"id\": 34322633916547\n }\n ]\n }\n ]\n },\n \"typeOfRecords\": [\n \"KLEVU_PRODUCT\"\n ]\n }\n }\n ],\n \"context\": {\n \"apiKeys\": [\n \"klevu-158755634955912036\"\n ]\n }\n}");
Request request = new Request.Builder()
.url("https://eucs19v2.ksearchnet.com/cs/v2/search")
.method("POST", body)
.addHeader("Content-Type", "application/json")
.build();
Response response = client.newCall(request).execute();nodejs
var request = require('request');
var options = {
'method': 'POST',
'url': 'https://eucs19v2.ksearchnet.com/cs/v2/search',
'headers': {
'Content-Type': 'application/json'
},
body: JSON.stringify({"recordQueries":[{"id":"recsAlsoBought","typeOfRequest":"RECS_ALSO_BOUGHT","settings":{"context":{"recentObjects":[{"typeOfRecord":"KLEVU_PRODUCT","records":[{"id":34322443665539},{"id":34322633916547}]}]},"typeOfRecords":["KLEVU_PRODUCT"]}}],"context":{"apiKeys":["klevu-158755634955912036"]}})
};
request(options, function (error, response) {
if (error) throw new Error(error);
console.log(response.body);
});
200
{
"meta": {
"qTime": 13,
"responseCode": 200
},
"queryResults": [
{
"id": "recsAlsoBought",
"meta": {
"qTime": 8,
"noOfResults": 12,
"totalResultsFound": 8,
"typeOfSearch": "WILDCARD_AND",
"offset": 0,
"debuggingInformation": {},
"notificationCode": 1,
"searchedTerm": "*",
"apiKey": "klevu-158755634955912036",
"isPersonalised": false
},
"records": [
{
"color": "black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192758132867",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"inventory_item_id": "35904862257283",
"price": "15.64",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1315649406_medium.jpg?v=1611184245&vid=34322635718787,34322635882627,34322636112003,34322636275843",
"currency": "EUR",
"inStock": "yes",
"id": "34322636275843",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1315649407_medium.jpg?v=1611184245&vid=34322636472451,34322636603523,34322636734595,34322636898435",
"sku": "21417591-black-xxl",
"brand": "klevu-personalisation-demo",
"startPrice": "14.54",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1315649406_medium.jpg?v=1611184245&vid=34322635718787,34322635882627,34322636112003,34322636275843",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "15.64",
"swatchesInfo": "variantColor1:white ;;;; variantColor3:light gray ;;;; variantColor2:black ;;;; variantColor5:Coffee ;;;; variantColor4:wine red ;;;; variantSwatchImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1315649407_medium.jpg?v=1611184245&vid=16847190786179 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1315649406_medium.jpg?v=1611184245&vid=16847200452739 ;;;; variantId4:34322636996739 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1315649409_medium.jpg?v=1611184382&vid=16847236366467 ;;;; variantId5:34322637389955 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1315649408_medium.jpg?v=1611184245&vid=16847192424579 ;;;; variantId2:34322635718787 ;;;; variantId3:34322636472451 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1315649405_medium.jpg?v=1611184330&vid=16847231287427 ;;;; variantId1:34322634965123 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Mens Sweaters @ku@kuCategory@ku@",
"totalVariants": 0,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/new-autumn-mens-pullover-casual-knitted-sweaters-male-turtleneck-mans-black-solid-knitwear-slim-brand-clothing-sweater",
"size": "XXL",
"name": "Men's Pullover Casual Knitted Sweaters",
"shortDesc": "gender:gender:men; closure:closure:none; ;;;; Brand Name: Faddare Origin: CN(Origin) Pattern Type: Solid Collar: Tur",
"category": "All;;Mens Sweaters",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192757346435",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"inventory_item_id": "35904837419139",
"price": "36.00",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1153672939_medium.jpg?v=1611184379&vid=34322615861379,34322616189059,34322616647811,34322617139331,34322617565315,34322617925763",
"currency": "EUR",
"inStock": "yes",
"id": "34322617925763",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1153672940_medium.jpg?v=1611184282&vid=34322609275011,34322609766531,34322610192515,34322610552963,34322618318979,34322618679427",
"sku": "30479271-black-xxl",
"brand": "klevu-personalisation-demo",
"startPrice": "",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1153672939_medium.jpg?v=1611184379&vid=34322615861379,34322616189059,34322616647811,34322617139331,34322617565315,34322617925763",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "36.0",
"swatchesInfo": "variantColor1:Gray ;;;; variantColor3:Ivory ;;;; variantColor2:Dark Grey ;;;; variantColor5:Gray ;;;; variantColor4:Black ;;;; variantSwatchImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/ivory.png?v=1587554095 ;;;; variantSwatchImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1153672942_medium.jpg?v=1611184362&vid=16847232794755 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1153672941_medium.jpg?v=1611184324&vid=16847230926979 ;;;; variantId4:34322615861379 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1153672940_medium.jpg?v=1611184282&vid=16847228698755 ;;;; variantId5:34322618318979 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1153672939_medium.jpg?v=1611184379&vid=16847235842179 ;;;; variantId2:34322611044483 ;;;; variantId3:34322613436547 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1153672940_medium.jpg?v=1611184282&vid=16847228698755 ;;;; variantId1:34322609275011 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Mens Sweaters @ku@kuCategory@ku@",
"totalVariants": 1,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/zogaa-men-sweaters-2019-brand-new-warm-pullover-sweaters-man-casual-knitwear-winter-men-black-sweatwer-xxxl-computer-knitted",
"size": "XXL",
"name": "Men Sweaters Brand New Warm Pullover Sweaters Man Casual Knitwear Men Sweater Computer Knitted",
"shortDesc": "closure:closure:none; decoration:decoration:none; ;;;; Gender: MEN Style: Casual Material: Cotton Material: Polyeste",
"category": "All;;Mens Sweaters",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192753971331",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "19.38",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-967372030_medium.jpg?v=1611183857&vid=34322486722691,34322486820995,34322486952067,34322487246979,34322487509123",
"currency": "EUR",
"inStock": "yes",
"id": "34322486952067",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-967372030_medium.jpg?v=1611183857&vid=34322486722691,34322486820995,34322486952067,34322487246979,34322487509123",
"sku": "26134087-black-xl",
"closure": "Single Breasted",
"brand": "klevu-personalisation-demo",
"startPrice": "17.38",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-967372030_medium.jpg?v=1611183857&vid=34322486722691,34322486820995,34322486952067,34322487246979,34322487509123",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "19.38",
"swatchesInfo": "variantColor1:Black ;;;; variantColor3:White ;;;; variantColor2:Red ;;;; variantSwatchImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantSwatchImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/red.png?v=1587554100 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-967372032_medium.jpg?v=1611184290&vid=16847229059203 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-967372031_medium.jpg?v=1611183968&vid=16847195799683 ;;;; variantId2:34322487738499 ;;;; variantId3:34322489639043 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-967372030_medium.jpg?v=1611183857&vid=16847173943427 ;;;; variantId1:34322486722691 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Mens Shirts @ku@kuCategory@ku@",
"totalVariants": 0,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/2019-new-mens-chinese-vintage-shirt-mandarin-collar-slim-fit-short-sleeves-cotton-linen-shirt-white-red-black-casual-shirt-tops",
"fabric": "Broadcloth",
"name": "New Men's Chinese Vintage Shirt Mandarin Collar Slim Fit Short Sleeves Cotton Linen Shirt Casual Shirt Tops",
"shortDesc": "fabric:fabric:broadcloth; closure:closure:single breasted; ;;;; Gender: MEN Item Type: Shirts Shirts Type: Casual Shirts Mate",
"category": "All;;Mens Shirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192759214211",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "40.10",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-938627119_medium.jpg?v=1611183943&vid=34322649088131,34322650267779,34322651906179,34322653216899,34322654363779,34322655576195",
"currency": "EUR",
"inStock": "yes",
"id": "34322655576195",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-938627119_medium.jpg?v=1611183943&vid=34322649088131,34322650267779,34322651906179,34322653216899,34322654363779,34322655576195",
"sku": "25093720-black-xl",
"brand": "klevu-personalisation-demo",
"closure": "Single Breasted",
"decoration": "Pockets",
"startPrice": "",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-938627119_medium.jpg?v=1611183943&vid=34322649088131,34322650267779,34322651906179,34322653216899,34322654363779,34322655576195",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "40.1",
"swatchesInfo": "variantColor1:black ;;;; variantColor3:darkblue ;;;; variantColor2:brown ;;;; variantColor5:gray ;;;; variantSwatchImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantColor4:darkgray ;;;; variantColor6:red ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-938627124_medium.jpg?v=1611183993&vid=16847200845955 ;;;; variantSwatchImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/red.png?v=1587554100 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-938627120_medium.jpg?v=1611184005&vid=16847203238019 ;;;; variantId6:34322680545411 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-938627121_medium.jpg?v=1611183969&vid=16847195996291 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-938627122_medium.jpg?v=1611184385&vid=16847237873795 ;;;; variantId4:34322669961347 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-938627123_medium.jpg?v=1611183943&vid=16847186886787 ;;;; variantId5:34322675400835 ;;;; variantId2:34322656526467 ;;;; variantId3:34322663571587 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-938627119_medium.jpg?v=1611183943&vid=16847185707139 ;;;; variantId1:34322649088131 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Mens Sweaters @ku@kuCategory@ku@",
"totalVariants": 0,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/2019-autumn-and-winter-models-high-collar-cardigan-sweater-men-new-mens-plus-velvet-thick-white-sweater-coat-personality-retro",
"name": "High Collar Cardigan Sweater Men",
"shortDesc": "closure:closure:single breasted; decoration:decoration:pockets; ;;;; Gender: MEN Technics: Computer Knitted Thickness: STANDARD",
"category": "All;;Mens Sweaters",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"gender": "Men",
"color": "Black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192756035715",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "29.48",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1325145441_medium.jpg?v=1611184270&vid=34322535186563,34322536038531,34322536956035,34322537971843,34322538856579",
"currency": "EUR",
"inStock": "yes",
"id": "34322535186563",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1325145443_medium.jpg?v=1611183900&vid=34322524864643,34322525782147,34322526994563,34322528141443,34322529288323",
"sku": "31718415-black-us-size-xxl",
"closure": "Single Breasted",
"brand": "klevu-personalisation-demo",
"startPrice": "24.06",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1325145441_medium.jpg?v=1611184270&vid=34322535186563,34322536038531,34322536956035,34322537971843,34322538856579",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "29.48",
"swatchesInfo": "variantColor1:White ;;;; variantColor3:Red ;;;; variantColor2:Sliver ;;;; variantColor5:Royal Blue ;;;; variantColor4:Gold ;;;; variantSwatchImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/red.png?v=1587554100 ;;;; variantColor6:Black ;;;; variantSwatchImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1325145441_medium.jpg?v=1611184270&vid=16847227879555 ;;;; variantId6:34322535186563 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1325145444_medium.jpg?v=1611184262&vid=16847226503299 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1325145445_medium.jpg?v=1611184259&vid=16847225946243 ;;;; variantId4:34322524864643 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1325145442_medium.jpg?v=1611184319&vid=16847230730371 ;;;; variantId5:34322530566275 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1325145443_medium.jpg?v=1611183900&vid=16847175417987 ;;;; variantId2:34322515067011 ;;;; variantId3:34322519720067 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1325145446_medium.jpg?v=1611183977&vid=16847197798531 ;;;; variantId1:34322508251267 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Mens Shirts @ku@kuCategory@ku@",
"totalVariants": 0,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/royal-blue-silk-satin-shirt-men-2019-luxury-brand-new-slim-fit-mens-dress-shirts-wedding-party-casual-male-casual-shirt-chemise",
"fabric": "Broadcloth",
"name": "Royal Silk Satin Shirt Men New Slim Fit Men's Dress Shirts Wedding Party Casual Male Casual Shirt Chemise",
"shortDesc": "gender:gender:men; fabric:fabric:broadcloth; closure:closure:single breasted; ;;;; Brand Name: PARKLEES Origin: CN(Origin) Material: Rayon",
"category": "All;;Mens Shirts",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192757018755",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"inventory_item_id": "35904831127683",
"price": "32.84",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1391664999_medium.jpg?v=1611184219&vid=34322605768835,34322606850179,34322607210627,34322607636611,34322608095363",
"currency": "EUR",
"inStock": "yes",
"id": "34322606850179",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1391664999_medium.jpg?v=1611184219&vid=34322605768835,34322606850179,34322607210627,34322607636611,34322608095363",
"sku": "36576693-black-xxl",
"brand": "klevu-personalisation-demo",
"startPrice": "27.92",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1391664999_medium.jpg?v=1611184219&vid=34322605768835,34322606850179,34322607210627,34322607636611,34322608095363",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "32.84",
"swatchesInfo": "variantColor1:Gray ;;;; variantColor3:Gray ;;;; variantColor2:Navy Blue ;;;; variantColor5:Gray ;;;; variantColor4:Black ;;;; variantColor6:Black ;;;; variantSwatchImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantSwatchImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1391664999_medium.jpg?v=1611184219&vid=16847189606531 ;;;; variantId6:34322606850179 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1391664998_medium.jpg?v=1611184300&vid=16847229583491 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1391665000_medium.jpg?v=1611184219&vid=16847199076483 ;;;; variantId4:34322605768835 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1391664998_medium.jpg?v=1611184300&vid=16847229583491 ;;;; variantId5:34322606030979 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1391664999_medium.jpg?v=1611184219&vid=16847189606531 ;;;; variantId2:34322603999363 ;;;; variantId3:34322605375619 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1391664998_medium.jpg?v=1611184300&vid=16847229583491 ;;;; variantId1:34322603671683 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Mens Sweaters @ku@kuCategory@ku@",
"totalVariants": 0,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/2019-autumn-mens-sweater-pullovers-simple-style-knitted-v-neck-sweater-jumpers-thin-male-knitwear-blue-black-m-3xl-men-clothes",
"size": "XXL",
"name": "Men's Sweater Pullovers Simple Style Knitted V Neck Sweater Jumpers Thin Male Knitwear M- Men Clothes",
"shortDesc": "gender:gender:men,youth;men]]>; season:season:spring;autumn;winter; decoration:decoration:none; closure:closure:zipper; ;;;; Brand Name: UNIVOS KUNI Model Number: J761",
"category": "All;;Mens Sweaters",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"color": "Black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192758231171",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"inventory_item_id": "35904867401859",
"price": "38.28",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-939920545_medium.jpg?v=1611183989&vid=34322640666755,34322640699523,34322640732291,34322640765059,34322640797827",
"currency": "EUR",
"inStock": "yes",
"id": "34322640666755",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-939920546_medium.jpg?v=1611183942&vid=34322640830595,34322640863363,34322640896131,34322640928899,34322640961667",
"sku": "9352560-black-m",
"brand": "klevu-personalisation-demo",
"startPrice": "38.28",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-939920545_medium.jpg?v=1611183989&vid=34322640666755,34322640699523,34322640732291,34322640765059,34322640797827",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "38.28",
"swatchesInfo": "variantColor1:Black ;;;; variantColor3:Red ;;;; variantColor2:Dark blue ;;;; variantSwatchImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantSwatchImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/red.png?v=1587554100 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-939920547_medium.jpg?v=1611183997&vid=16847201796227 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-939920546_medium.jpg?v=1611183942&vid=16847190360195 ;;;; variantId2:34322640830595 ;;;; variantId3:34322640994435 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-939920545_medium.jpg?v=1611183989&vid=16847199993987 ;;;; variantId1:34322640666755 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Mens Sweaters @ku@kuCategory@ku@",
"totalVariants": 1,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/woodvoice-brand-mens-fashion-sweater-solid-color-male-high-quality-brand-street-wear-pullover-sweaters-blue-black-red-hot-sale",
"size": "M",
"name": "Woodvoice Men's Fashion Sweater",
"shortDesc": "size:size:M,L,XL,XXL,XXXL; closure:closure:none; decoration:decoration:none; ;;;; Gender: MEN Style: Casual Material: Acrylic",
"category": "All;;Mens Sweaters",
"typeOfRecord": "KLEVU_PRODUCT"
},
{
"gender": "Men, Men",
"color": "Black",
"discount": "",
"hideGroupPrices": "",
"itemGroupId": "5192754430083",
"freeShipping": "",
"storeBaseCurrency": "EUR",
"price": "16.12",
"toPrice": "",
"imageUrl": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1411601388_medium.jpg?v=1611184228&vid=34322507530371,34322508185731,34322509201539,34322510151811,34322511167619,34322512183427,34322549244035",
"currency": "EUR",
"inStock": "no",
"id": "34322509201539",
"imageHover": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1411601407_medium.jpg?v=1611184228",
"sku": "17014311-black-l",
"brand": "klevu-personalisation-demo",
"closure": "[Single Breasted, Single Button]",
"startPrice": "14.44",
"image": "https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1411601388_medium.jpg?v=1611184228&vid=34322507530371,34322508185731,34322509201539,34322510151811,34322511167619,34322512183427,34322549244035",
"deliveryInfo": "",
"hideAddToCart": "",
"salePrice": "16.12",
"swatchesInfo": "variantColor1:Wine ;;;; variantColor3:Black ;;;; variantColor2:Green ;;;; variantColor5:J264Green ;;;; variantColor4:Navy ;;;; variantSwatchImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/t/2/assets/black.jpg?v=1587554091 ;;;; variantColor6:Purple ;;;; variantImage6:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1411601399_medium.jpg?v=1611184294&vid=16847229288579 ;;;; variantImage3:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1411601388_medium.jpg?v=1611184228&vid=16847185674371 ;;;; variantId6:34322524569731 ;;;; variantImage2:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1411601394_medium.jpg?v=1611184228&vid=16847196192899 ;;;; variantImage5:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1411601403_medium.jpg?v=1611184228&vid=16847191769219 ;;;; variantId4:34322513330307 ;;;; variantImage4:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1411601408_medium.jpg?v=1611184228&vid=16847191474307 ;;;; variantId5:34322518999171 ;;;; variantId2:34322501435523 ;;;; variantId3:34322507530371 ;;;; variantImage1:https://cdn.shopify.com/s/files/1/0386/6653/5043/products/product-image-1411601401_medium.jpg?v=1611184267&vid=16847227355267 ;;;; variantId1:34322492293251 ;;;;",
"weight": "",
"klevu_category": "KLEVU_PRODUCT;Products;;All;;Mens Shirts @ku@kuCategory@ku@",
"totalVariants": 0,
"groupPrices": "",
"url": "https://klevu-personalisation-demo.myshopify.com/products/jeetoo-white-men-shirt-2019-new-business-mens-regular-fit-dress-shirt-male-solid-long-sleeves-casua-wedding-shirt-plus-size-3xl",
"fabric": "[Broadcloth, Broadcloth]",
"name": "Jeetoo Men Shirt New Business Men's Regular Fit Dress Shirt Male Solid Long Sleeves Casual Wedding Shirt",
"shortDesc": "gender:gender:men,men; fabric:fabric:broadcloth,broadcloth; closure:closure:single breasted,single button; ;;;; Brand Name: JeeToo Origin: CN(Origin) Material",
"category": "All;;Mens Shirts",
"typeOfRecord": "KLEVU_PRODUCT"
}
],
"filters": []
}
]
}Try it here!